org.eclipse.jetty.servlet.listener

## Class ELContextCleaner

- java.lang.Object
- - org.eclipse.jetty.servlet.listener.ELContextCleaner

All Implemented Interfaces:
  EventListener, javax.servlet.ServletContextListener

    public class ELContextCleaner
    extends Object
    implements javax.servlet.ServletContextListener

ELContextCleaner Clean up BeanELResolver when the context is going out of service: See http://java.net/jira/browse/GLASSFISH-1649 See https://bugs.eclipse.org/bugs/show_bug.cgi?id=353095

### Constructor Summary

Constructors
Constructor and Description
`ELContextCleaner()`

### Method Summary

Methods
`void` `contextDestroyed(javax.servlet.ServletContextEvent sce)`
`void` `contextInitialized(javax.servlet.ServletContextEvent sce)`
`protected Field` `getField(Class beanELResolver)`
`protected void` `purgeEntries(Field properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ELContextCleaner

    public ELContextCleaner()

### Method Detail

#### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent sce)

Specified by:
  `contextInitialized` in interface `javax.servlet.ServletContextListener`

#### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent sce)

Specified by:
  `contextDestroyed` in interface `javax.servlet.ServletContextListener`

#### getField

    protected Field getField(Class beanELResolver)
                      throws SecurityException,
                             NoSuchFieldException

Throws:
  `SecurityException`
  `NoSuchFieldException`

#### purgeEntries

    protected void purgeEntries(Field properties)
                         throws IllegalArgumentException,
                                IllegalAccessException

Throws:
  `IllegalArgumentException`
  `IllegalAccessException`